import openpyxl

"""
excel类，需要实现什么内容？
1、读取文档中的数据，并处理成想要的格式
2、读取标题
3、读取数据
"""


class HandleExcel:

    def __init__(self, file_path, file_name):
        # 第一步 打开工作簿（workbook）
        self.wb = openpyxl.load_workbook(file_path)
        # 第二部 选择表单（sheet）
        self.sh = self.wb[file_name]

    def __read_titles(self):
        # 获取用例的标题
        title_list = []
        for cel in list(self.sh.rows)[0]:
            title_list.append(cel.value)
        return title_list

    def read_all_datas(self):
        all_datas = []
        for item in list(self.sh.rows)[1:]:
            value_list = []
            for cel in item:
                value_list.append(cel.value)
            # 将title和每一行数据打包成字典
            value_dict = dict(zip(self.__read_titles(), value_list))
            all_datas.append(value_dict)
        return all_datas

    def close_file(self):
        # 操作文档结束后需要进行关闭操作
        self.wb.close()


if __name__ == '__main__':
    file_path = '../TestDatas/api_cases.xlsx'
    file_name = '注册'
    exc = HandleExcel(file_path, file_name)
    cases = exc.read_all_datas()
    print(cases)
    exc.close_file()

