import logging

from Common.handle_config import conf
from Common.handle_path import logs_dir


class MyLogger(logging.Logger):

    def __init__(self, file_name=None):
        # 设置日志级别，日志渠道，日志格式
        super().__init__(conf.get("log", "name"), conf.get("log", "level"))

        # 日志格式
        fmt = '%(asctime)s %(name)s %(levelname)s %(filename)s-%(lineno)d line:%(message)s'
        formatter = logging.Formatter(fmt)

        # 日志渠道1
        handle = logging.StreamHandler()
        handle.setFormatter(formatter)
        self.addHandler(handle)

        # 日志渠道2
        if file_name:
            handle1 = logging.FileHandler(logs_dir + "\\" + file_name, encoding="utf-8")
            handle1.setFormatter(formatter)
            self.addHandler(handle1)


# 是否写入日志文件中
if conf.getboolean("log", "file_ok"):
    file_name = conf.get("log", "file_name")
else:
    file_name = None

logger = MyLogger(file_name=file_name)

if __name__ == '__main__':
    logger.info("789")
